<?php

/**
 * Plugin Name: PhotoSwipe
 * Version: 1.0.3
 * Plugin URI: https://www.arvidzimmermann.de
 * Description: Includes the free JS library <a href="http://photoswipe.com">PhotoSwipe</a> for displaying galleries and single images in a very sexy manner; swipeable on mobile devices!<br>Usage:<ul><li>Single image: [photoswipeimage="images/image.jpg"]</li><li>Image gallery: [photoswipegallery="images/NameOfTheGallery"]</li></ul>
 * Author: Arvid Zimmermann
 * Author URI: https://www.arvidzimmermann.de
 */

/**
 * --------
 * About
 * --------
 *
 * This plugin displays single images and whole image galleries with the JavaScript library
 * PhotoSwipe (photoswipe.com). Since it uses FlatPress default functionality for building
 * the image HTML, you may use the documented parameters of the [img] tag such as "alt",
 * "title", "height", "width" or "float" (see FlatPress BBCode documentation for details).
 *
 *
 * --------
 * Usage
 * --------
 *
 * For a single image: [photoswipeimage="images/image.jpg"]
 * Floating image with given width: [photoswipeimage="images/image.jpg" width="200" float="right"]
 *
 * For an image gallery: [photoswipegallery="images/NameOfTheGallery"]
 * Gallery width given image height: [photoswipegallery="images/NameOfTheGallery" height="100"]
 *
 *
 * --------
 * HTML+CSS
 * --------
 *
 * The HTML code of the images is generated by the FlatPress standard function
 * do_bbcode_img() (see fp-plugins/bbcode/plugin.bbcode.php). Therefore, standard image
 * attributes (such as "width", "height", etc.) can be used. Floating images will get a
 * corresponding CSS class (e.g. "floatright").
 * The plugin will wrap that HTML in a <figure> element with the same CSS class as the
 * image (e.g. "floatright"). The <figure> also contains a <figcaption> displaying the
 * title of the image.
 * The <figure> element itself is surrounded by a <div class="photoswipe">.
 *
 * Galleries are displayed as a series of images as described above, encapsulated by a
 * <div class="img-gallery">.
 *
 *
 * --------
 * Captions
 * --------
 *
 * Captions of the gallery images will be read from a text file "texte.conf" within the
 * gallery directory.
 * For having the title attribute in the gallery images (and therfore, also see it as
 * description below the images in the gallery), just create a file "texte.conf" within
 * the gallery directory.
 * If you have the gallery images 1.jpg, 2.jpg and someother.jpg, your texte.conf should
 * look like this:
 * 1.jpg = Description of the first image
 * 2.jpg = This is the second image.
 * someother.jpg = OMG, another image!
 * For now, you have to create the texte.conf files for each gallery manually via FTP,
 * I haven't developed a convenient plugin UI for that. You may if you want to :)
 */

// include the plugin's PHP files
include_once dirname(__FILE__) . '/pluginsettings.php';
include_once dirname(__FILE__) . '/photoswipesimpleproperties.class.php';
include_once dirname(__FILE__) . '/photoswipeplugin.class.php';

// intialize the BBCode tags of the plugin
add_filter('init', 'PhotoSwipePlugin::initializePluginTags');

// inject neccessary JS in the <head> section
add_action('wp_head', 'PhotoSwipePlugin::echoScriptTags', 0);

